> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Presign Document



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/assistant/imports/{importId}/documents/presign
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/assistant/imports/{importId}/documents/presign:
    post:
      tags:
        - Data Imports
      summary: Presign Document
      operationId: DataImportsController_presignDocument_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: importId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DataImportDocumentPresignBodyDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataImportDocumentPresignResponseDto'
components:
  schemas:
    DataImportDocumentPresignBodyDto:
      type: object
      properties:
        projectId:
          type: string
          pattern: ^[1-9]\d*$
        expectedVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        fileName:
          type: string
          minLength: 1
          maxLength: 255
          pattern: \.(xlsx|pdf)$
        mimeType:
          type: string
          enum:
            - application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
            - application/pdf
            - application/octet-stream
        sizeBytes:
          type: integer
          minimum: 1
          maximum: 1073741824
        sha256:
          type: string
          pattern: ^[a-f0-9]{64}$
      required:
        - projectId
        - expectedVersion
        - fileName
        - mimeType
        - sizeBytes
        - sha256
      additionalProperties: false
    DataImportDocumentPresignResponseDto:
      type: object
      properties:
        documentId:
          type: string
        url:
          type: string
        fields:
          type: object
          additionalProperties:
            type: string
      required:
        - documentId
        - url
        - fields

````